aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Justin Dawson <jtdawso@gmail.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.BatchWriteItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchWriteItem.html

Synopsis

- data Request
  - = PutRequest {
    - prItem :: Item
    }
  - | DeleteRequest {
    - drKey :: PrimaryKey
    }
- data BatchWriteItem = BatchWriteItem {
  - bwRequests :: [(Text, [Request])]
  - bwRetCons :: ReturnConsumption
  - bwRetMet :: ReturnItemCollectionMetrics
  }
- toBatchWrite :: [PutItem] -> [DeleteItem] -> BatchWriteItem
- batchWriteItem :: [(Text, [Request])] -> BatchWriteItem
- data BatchWriteItemResponse = BatchWriteItemResponse {
  - bwUnprocessed :: [(Text, [Request])]
  - bwConsumed :: Maybe ConsumedCapacity
  - bwColMet :: Maybe ItemCollectionMetrics
  }

# Documentation

data Request Source #

Constructors

PutRequest |

Fields

- prItem :: Item

DeleteRequest |

Fields

- drKey :: PrimaryKey

#### Instances

Instances details

FromJSON Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods parseJSON :: Value -> Parser Request Source # parseJSONList :: Value -> Parser [Request] Source # omittedField :: Maybe Request Source #
ToJSON Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods toJSON :: Request -> Value Source # toEncoding :: Request -> Encoding Source # toJSONList :: [Request] -> Value Source # toEncodingList :: [Request] -> Encoding Source # omitField :: Request -> Bool Source #
Read Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS Request Source # readList :: ReadS [Request] Source # readPrec :: ReadPrec Request Source # readListPrec :: ReadPrec [Request] Source #
Show Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> Request -> ShowS Source # show :: Request -> String Source # showList :: [Request] -> ShowS Source #
Eq Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: Request -> Request -> Bool Source # (/=) :: Request -> Request -> Bool Source #
Ord Request Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods compare :: Request -> Request -> Ordering Source # (<) :: Request -> Request -> Bool Source # (<=) :: Request -> Request -> Bool Source # (>) :: Request -> Request -> Bool Source # (>=) :: Request -> Request -> Bool Source # max :: Request -> Request -> Request Source # min :: Request -> Request -> Request Source #

data BatchWriteItem Source #

Constructors

BatchWriteItem |

Fields

- bwRequests :: [(Text, [Request])]

  Put or Delete Requests for a specified table

- bwRetCons :: ReturnConsumption
- bwRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods toJSON :: BatchWriteItem -> Value Source # toEncoding :: BatchWriteItem -> Encoding Source # toJSONList :: [BatchWriteItem] -> Value Source # toEncodingList :: [BatchWriteItem] -> Encoding Source # omitField :: BatchWriteItem -> Bool Source #
SignQuery BatchWriteItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ServiceConfiguration BatchWriteItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration

Methods

signQuery :: BatchWriteItem -> ServiceConfiguration BatchWriteItem queryType -> SignatureData -> SignedQuery Source #

Read BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS BatchWriteItem Source # readList :: ReadS [BatchWriteItem] Source # readPrec :: ReadPrec BatchWriteItem Source # readListPrec :: ReadPrec [BatchWriteItem] Source #
Show BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> BatchWriteItem -> ShowS Source # show :: BatchWriteItem -> String Source # showList :: [BatchWriteItem] -> ShowS Source #
Eq BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: BatchWriteItem -> BatchWriteItem -> Bool Source # (/=) :: BatchWriteItem -> BatchWriteItem -> Bool Source #
Ord BatchWriteItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Methods

compare :: BatchWriteItem -> BatchWriteItem -> Ordering Source #

(<) :: BatchWriteItem -> BatchWriteItem -> Bool Source #

(<=) :: BatchWriteItem -> BatchWriteItem -> Bool Source #

(>) :: BatchWriteItem -> BatchWriteItem -> Bool Source #

(>=) :: BatchWriteItem -> BatchWriteItem -> Bool Source #

max :: BatchWriteItem -> BatchWriteItem -> BatchWriteItem Source #

min :: BatchWriteItem -> BatchWriteItem -> BatchWriteItem Source #

Transaction BatchWriteItem BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
type ServiceConfiguration BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration

toBatchWrite :: [PutItem] -> [DeleteItem] -> BatchWriteItem Source #

batchWriteItem :: [(Text, [Request])] -> BatchWriteItem Source #

Construct a BatchWriteItem

data BatchWriteItemResponse Source #

Constructors

BatchWriteItemResponse |

Fields

- bwUnprocessed :: [(Text, [Request])]

  Unprocessed Requests on failure

- bwConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

- bwColMet :: Maybe ItemCollectionMetrics

  Collection metrics for tables affected by BatchWriteItem.

#### Instances

Instances details

FromJSON BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods parseJSON :: Value -> Parser BatchWriteItemResponse Source # parseJSONList :: Value -> Parser [BatchWriteItemResponse] Source # omittedField :: Maybe BatchWriteItemResponse Source #
AsMemoryResponse BatchWriteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type MemoryResponse BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse

Methods

loadToMemory :: BatchWriteItemResponse -> ResourceT IO (MemoryResponse BatchWriteItemResponse) Source #

Read BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS BatchWriteItemResponse Source # readList :: ReadS [BatchWriteItemResponse] Source # readPrec :: ReadPrec BatchWriteItemResponse Source # readListPrec :: ReadPrec [BatchWriteItemResponse] Source #
Show BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> BatchWriteItemResponse -> ShowS Source # show :: BatchWriteItemResponse -> String Source # showList :: [BatchWriteItemResponse] -> ShowS Source #
Eq BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source # (/=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source #
Ord BatchWriteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Methods

compare :: BatchWriteItemResponse -> BatchWriteItemResponse -> Ordering Source #

(<) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source #

(<=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source #

(>) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source #

(>=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool Source #

max :: BatchWriteItemResponse -> BatchWriteItemResponse -> BatchWriteItemResponse Source #

min :: BatchWriteItemResponse -> BatchWriteItemResponse -> BatchWriteItemResponse Source #

ResponseConsumer r BatchWriteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ResponseMetadata BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchWriteItemResponse) -> HTTPResponseConsumer BatchWriteItemResponse Source #

Transaction BatchWriteItem BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
type MemoryResponse BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse
type ResponseMetadata BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse